Summary:	Small RSA key management package
Summary(pl.UTF-8):	Mały pakiet do zarządzania kluczami RSA
Name:		easy-rsa
Version:	3.0.7
Release:	1
License:	GPL v2
Group:		Applications/Networking
Source0:	https://github.com/OpenVPN/easy-rsa/releases/download/v%{version}/EasyRSA-%{version}.tgz
# Source0-md5:	e9ae0a705831354193ed23b2c6da9944
URL:		http://openvpn.net/easyrsa.html
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
Requires:	grep
Requires:	openssl-tools
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a small RSA key management package, based on the openssl
command line tool, that can be found in the easy-rsa subdirectory of
the OpenVPN distribution. While this tool is primary concerned with
key management for the SSL VPN application space, it can also be used
for building web certificates.

%description -l pl.UTF-8
To jest mały pakiet do zarządzania kluczami RSA, oparty na narzędziu
linii poleceń openssl. Pakiet ten pochodzi z podkatalogu easy-rsa
dystrybucji OpenVPN.

%prep
%setup -q -n EasyRSA-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_datadir}/easy-rsa}

mv easyrsa $RPM_BUILD_ROOT%{_datadir}/easy-rsa
mv openssl-easyrsa.cnf $RPM_BUILD_ROOT%{_datadir}/easy-rsa
mv vars.example $RPM_BUILD_ROOT%{_datadir}/easy-rsa
mv x509-types $RPM_BUILD_ROOT%{_datadir}/easy-rsa

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING.md README.md README.quickstart.md doc
%dir %{_datadir}/easy-rsa
%attr(755,root,root) %{_datadir}/easy-rsa/easyrsa
%{_datadir}/easy-rsa/openssl-easyrsa.cnf
%{_datadir}/easy-rsa/vars.example
%{_datadir}/easy-rsa/x509-types
%changelog
* Sun Aug 16 2020 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/easy-rsa.git;a=log;h=master

* Sun Aug 16 2020 Marcin Krol <hawk@tld-linux.org> 654dc09
- updated to 3.0.7

* Sat Aug 17 2019 Marcin Krol <hawk@tld-linux.org> 8308c21
- updated to 3.0.6

* Mon Oct 22 2018 Marcin Krol <hawk@tld-linux.org> e65a5c4
- updated to 3.0.5

* Tue Jul 17 2018 Marcin Krol <hawk@tld-linux.org> 6f8fce9
- don't install distro wide, this allows multiple CAs for users

* Tue Jul 17 2018 Marcin Krol <hawk@tld-linux.org> 2988a6d
- EasyRSA

